cgGLGetParameter(3)

NAME
cgGLGetParameter - get the values from a scalar or vector parameter

SYNOPSIS
  #include <Cg/cgGL.h>

  /* TYPE is float or double */

  void cgGLGetParameter{1234}{fd}( CGparameter param,
                                   TYPE * v );

PARAMETERS

param
    The parameter from which the values will be retrieved.

v   Destination buffer into which the values will be written.

RETURN VALUES
None.

DESCRIPTION
The cgGLGetParameter functions extract the values set by cgGLSetParameter functions.

There are versions of the function that take either float or double values signified by f or d in the function name.

Each function returns either 1, 2, 3, or 4 values.

These functions may only be called with uniform numeric parameters.

Note: Previous releases of Cg allowed you to store more values in a parameter than indicated by the parameter's type. For example, one could use cgGLSetParameter4f to store four values into a parameter of type CG_FLOAT (not CG_FLOAT4). All four values could later be retrieved using a get call which requested more than one value. However, this feature conflicts with the GLSL approach and also leads to issues with parameters mapped into BUFFERS. Therefore, beginning with Cg 2.0 any components beyond the number indicated by the parameter type are ignored.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
The cgGLGetParameter functions were introduced in Cg 1.1.

SEE ALSO
cgGLSetParameter, cgGLGetParameterArray